/* vulndb.H
 * John Viega
 *
 * Jan 28-29 2000
 */

#ifndef __VULNDB_H__
#define __VULNDB_H__

#include "vulninfo.H"
#include "dict.H"

void InitVulnDB();
VulnInfo* GetVulnInfo(char *name);
char *GetNameById(int);
void AddIgnore(char *name);
void ScanIgnoreFile(char *name);
// No LimitFile... it's easier to modify a database and use that.
// The ignore file might have even been a bad idea.
void AddLimit(char *name);
void AddRecord(char *name, int desc, int repair, int risk, int hndlr, int inp);
#endif
